Package net.shibboleth.idp.spring

# Class IdPPropertiesApplicationContextInitializer

java.lang.Object
net.shibboleth.shared.spring.context.AbstractPropertiesApplicationContextInitializer
net.shibboleth.idp.spring.IdPPropertiesApplicationContextInitializer

All Implemented Interfaces:
  `ApplicationContextInitializer<ConfigurableApplicationContext>`

Direct Known Subclasses:
  `V5Install.Initializer`

public class IdPPropertiesApplicationContextInitializer extends AbstractPropertiesApplicationContextInitializer
Specialization of context initializer for IdP use.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FAILFAST_PROPERTY`
Property controlling whether to fail fast.
`static final String`
`IDP_ADDITIONAL_PROPERTY`
Property that points to more property sources.
`static final String`
`IDP_AUTOSEARCH_PROPERTY`
Property that controls auto-search for property sources.
`static final String`
`IDP_AUTOSEARCH_ROOT`
Property that controls auto-search location root for property sources.
`static final String`
`IDP_DUPLICATE_PROPERTY`
Property for tracking duplicates.
`static final String`
`IDP_HOME_PROPERTY`
IdP home property.
`static final String`
`IDP_PROPERTIES`
Target resource to be searched for.
`static final String`
`SEARCH_LOCATION`
Well known search location.

## Constructor Summary

Constructors
Constructor
Description
`IdPPropertiesApplicationContextInitializer()`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getAdditionalPropertiesPropertyName()`
`protected String`
`getAutoSearchPropertyName()`
`protected String`
`getAutoSearchRoot()`
`protected String`
`getDuplicateWarningPropertyName()`
`protected Collection<String>`
`getExcludedSearchPaths()`
`protected String`
`getFailFastPropertyName()`
`protected String`
`getHomePropertyName()`
`protected String`
`getSearchLocation()`
`protected String`
`getSearchTarget()`

### Methods inherited from class net.shibboleth.shared.spring.context.AbstractPropertiesApplicationContextInitializer

`appendPropertySource, getAdditionalSources, initialize, isFailFast, loadAdditionalPropertySources, loadProperties, logProperties, selectSearchLocation, setHomeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### IDP_HOME_PROPERTY

@Nonnull @NotEmpty public static final String IDP_HOME_PROPERTY
IdP home property.

See Also:
  - Constant Field Values

### IDP_ADDITIONAL_PROPERTY

@Nonnull @NotEmpty public static final String IDP_ADDITIONAL_PROPERTY
Property that points to more property sources.

See Also:
  - Constant Field Values

### IDP_AUTOSEARCH_PROPERTY

@Nonnull @NotEmpty public static final String IDP_AUTOSEARCH_PROPERTY
Property that controls auto-search for property sources.

See Also:
  - Constant Field Values

### IDP_AUTOSEARCH_ROOT

@Nonnull @NotEmpty public static final String IDP_AUTOSEARCH_ROOT
Property that controls auto-search location root for property sources.

See Also:
  - Constant Field Values

### IDP_PROPERTIES

@Nonnull public static final String IDP_PROPERTIES
Target resource to be searched for.

See Also:
  - Constant Field Values

### SEARCH_LOCATION

@Nonnull public static final String SEARCH_LOCATION
Well known search location.

See Also:
  - Constant Field Values

### FAILFAST_PROPERTY

@Nonnull public static final String FAILFAST_PROPERTY
Property controlling whether to fail fast.

See Also:
  - Constant Field Values

### IDP_DUPLICATE_PROPERTY

@Nonnull public static final String IDP_DUPLICATE_PROPERTY
Property for tracking duplicates.

See Also:
  - Constant Field Values

## Constructor Details

### IdPPropertiesApplicationContextInitializer

public IdPPropertiesApplicationContextInitializer()

## Method Details

### getHomePropertyName

@Nonnull @NotEmpty protected String getHomePropertyName()

Specified by:
  `getHomePropertyName` in class `AbstractPropertiesApplicationContextInitializer`

### getSearchTarget

@Nonnull @NotEmpty protected String getSearchTarget()

Specified by:
  `getSearchTarget` in class `AbstractPropertiesApplicationContextInitializer`

### getSearchLocation

@Nonnull @NotEmpty protected String getSearchLocation()

Specified by:
  `getSearchLocation` in class `AbstractPropertiesApplicationContextInitializer`

### getFailFastPropertyName

@Nonnull @NotEmpty protected String getFailFastPropertyName()

Specified by:
  `getFailFastPropertyName` in class `AbstractPropertiesApplicationContextInitializer`

### getAdditionalPropertiesPropertyName

@Nonnull @NotEmpty protected String getAdditionalPropertiesPropertyName()

Specified by:
  `getAdditionalPropertiesPropertyName` in class `AbstractPropertiesApplicationContextInitializer`

### getAutoSearchPropertyName

@Nonnull @NotEmpty protected String getAutoSearchPropertyName()

Specified by:
  `getAutoSearchPropertyName` in class `AbstractPropertiesApplicationContextInitializer`

### getAutoSearchRoot

@Nonnull @NotEmpty protected String getAutoSearchRoot()

Overrides:
  `getAutoSearchRoot` in class `AbstractPropertiesApplicationContextInitializer`

### getExcludedSearchPaths

@Nonnull @NotEmpty protected Collection<String> getExcludedSearchPaths()

Overrides:
  `getExcludedSearchPaths` in class `AbstractPropertiesApplicationContextInitializer`

### getDuplicateWarningPropertyName

@Nonnull protected String getDuplicateWarningPropertyName()

Specified by:
  `getDuplicateWarningPropertyName` in class `AbstractPropertiesApplicationContextInitializer`